  NAME
    lsort - Sort the elements of a list
  SYNOPSIS
    lsort ?options? list
  DESCRIPTION
    -ascii
    -dictionary
    -integer
    -real
    -command command
    -increasing
    -decreasing
    -index index
  KEYWORDS

### NAME

lsort - Sort the elements of a list

### SYNOPSIS

lsort ?options? list

### DESCRIPTION

This command sorts the elements of list, returning a new list in sorted order. By default ASCII sorting is used with the result returned in increasing order. However, any of the following options may be specified before list to control the sorting process (unique abbreviations are accepted):

-ascii
  Use string comparison with ASCII collation order. This is the default.

-dictionary
  Use dictionary-style comparison. This is the same as -ascii except (a) case is ignored except as a tie-breaker and (b) if two strings contain embedded numbers, the numbers compare as integers, not characters. For example, in -dictionary mode, bigBoy sorts between bigbang and bigboy, and x10y sorts between x9y and x11y.

-integer
  Convert list elements to integers and use integer comparison.

-real
  Convert list elements to floating-point values and use floating comparison.

-command command
  Use command as a comparison command. To compare two elements, evaluate a Tcl script consisting of command with the two elements appended as additional arguments. The script should return an integer less than, equal to, or greater than zero if the first element is to be considered less than, equal to, or greater than the second, respectively.

-increasing
  Sort the list in increasing order (``smallest'' items first). This is the default.

-decreasing
  Sort the list in decreasing order (``largest'' items first).

-index index
  If this option is specified, each of the elements of list must itself be a proper Tcl sublist. Instead of sorting based on whole sublists, lsort will extract the index'th element from each sublist and sort based on the given element. The keyword end is allowed for the index to sort on the last sublist element. For example,

      lsort -integer -index 1 {{First 24} {Second 18} {Third 30}}

  returns {Second 18} {First 24} {Third 30}. This option is much more efficient than using -command to achieve the same effect.

### KEYWORDS

element, list, order, sort

    Copyright © 1993 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.